Page MenuHomePhabricator

Handle RESTbase load failures more gracefully with a message to the user explaining "the editing server didn't respond" or similar
Closed, ResolvedPublic8 Story Points

Description

Showing an error message, at least, would be a start.

Event Timeline

Jdforrester-WMF raised the priority of this task from to High.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2015, 4:39 PM
Krenair added a subscriber: Krenair.May 2 2015, 7:05 PM

What sort of failures are we missing this on? We do show error messages when we have issues fetching data from the server.

What sort of failures are we missing this on? We do show error messages when we have issues fetching data from the server.

https://gerrit.wikimedia.org/r/#/c/208507/ fixed it so failed RESTbase loads return the user to read mode (without comment), but really we should use the same "We couldn't load stuff from Parsoid" error message that we use when loading via that path.

Jdforrester-WMF edited a custom field.
Jdforrester-WMF renamed this task from Handle load failures more gracefully to Handle RESTbase load failures more gracefully with a message to the user explaining "the editing server didn't respond" or similar.Jun 16 2015, 10:08 PM
Krenair claimed this task.Jun 29 2015, 8:03 PM

Seems simple enough

Change 221748 had a related patch set uploaded (by Alex Monk):
Error when restbase call fails

https://gerrit.wikimedia.org/r/221748

Krenair closed this task as Resolved.Jul 18 2015, 5:19 AM

Change 221748 merged by jenkins-bot:
ve.init.mw.TargetLoader: Error when RESTbase load call fails

https://gerrit.wikimedia.org/r/221748